KBookmarkMenuNSImporter Class Reference

`#include <kbookmarkmenu.h>`

Inherits QObject.

## Public Member Functions

| KBookmarkMenuNSImporter (KBookmarkManager *mgr, KBookmarkMenu *menu, KActionCollection *act)
void | openNSBookmarks ()
void | openBookmarks (const QString &location, const QString &type)
void | connectToImporter (const QObject &importer)

## Protected Slots

void | newBookmark (const QString &text, const QCString &url, const QString &)
void | newFolder (const QString &text, bool, const QString &)
void | newSeparator ()
void | endFolder ()

## Protected Attributes

QPtrStack< KBookmarkMenu > | mstack
KBookmarkMenu * | m_menu
KActionCollection * | m_actionCollection
KBookmarkManager * | m_pManager

## Detailed Description

A class connected to KNSBookmarkImporter, to fill KActionMenus.

Definition at line 241 of file kbookmarkmenu.h.

The documentation for this class was generated from the following files:

- kbookmarkmenu.h
- kbookmarkmenu.cc

KDE Home | KDE Accessibility Home | Description of Access Keys